## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global debug_package %{nil}

Name:    ghostty
Version: 1.0.0
Release: 1%{?dist}
Summary: 👻 Ghostty is a fast, feature-rich, and cross-platform terminal emulator that uses platform-native UI and GPU acceleration.

# https://release.files.ghostty.org/VERSION/ghostty-source.tar.gz
# https://github.com/ghostty-org/ghostty/releases/download/tip/ghostty-source.tar.gz
# https://github.com/ghostty-org/ghostty/archive/refs/tags/v1.0.0.tar.gz
License: MIT
URL: https://github.com/ghostty-org/ghostty
Source:  %{url}/archive/refs/tags/v%{version}.tar.gz
Source1: https://raw.githubusercontent.com/ghostty-org/ghostty/v%{version}/README.md
Source2: https://raw.githubusercontent.com/ghostty-org/ghostty/v%{version}/LICENSE

BuildRequires: zig

%description
Ghostty is a terminal emulator that differentiates itself by being fast, feature-rich, and native.
While there are many excellent terminal emulators available, they all force you to choose between speed, features, or native UIs. 
Ghostty provides all three.
In all categories, I am not trying to claim that Ghostty is the best (i.e. the fastest, most feature-rich, or most native).
But when I set out to create Ghostty, I felt all terminals made you choose at most two of these categories.
I wanted to create a terminal that was competitive in all three categories and I believe Ghostty achieves that goal.
Before diving into the details, I also want to note that Ghostty is a passion project started by Mitchell Hashimoto.
It's something I work on in my free time and is a labor of love. Please don't forget this when interacting with the project. I'm doing my best to make something great along with the lovely contributors, but it's not a full-time job for any of us.

%prep
%autosetup -c
cp %{SOURCE1} CONFIGURATION.md
cp %{SOURCE2} LICENSE

%build
ls -la
cd %{name}-%{version}
ls -la
ZIG_GLOBAL_CACHE_DIR=/tmp/offline-cache ./nix/build-support/fetch-zig-cache.sh
DESTDIR=/tmp/ghostty \
zig build \
  --prefix /usr \
  --system /tmp/offline-cache/p \
  -Doptimize=ReleaseFast \
  -Dcpu=baseline
ls -la /tmp/offline-cache

%install
ls -la
install -p -D %{name} %{buildroot}%{_bindir}/%{name}
ls -la completions
install -pvD -m 0644 completions/%{name}-completion.bash %{buildroot}%{bash_completions_dir}/%{name}.bash
install -pvD -m 0644 completions/%{name}.zsh %{buildroot}%{zsh_completions_dir}/%{name}.zsh
install -pvD -m 0644 completions/%{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish

%files
%doc CONFIGURATION.md
%license LICENSE
%{_bindir}/%{name}
%{bash_completions_dir}/%{name}.bash
%{zsh_completions_dir}/%{name}.zsh
%{fish_completions_dir}/%{name}.fish

%changelog
## START: Generated by rpmautospec
* Thu Dec 26 2024 John Doe <packager@example.com> - 1.0.0-1
- Uncommitted changes
## END: Generated by rpmautospec
